Update a node group for a Kubernetes cluster

PUT/v1/kubernetes_clusters/{kubernetes_cluster_id}/node_groups/{node_group_id}

A PUT request to /v1/kubernetes_clusters/{kubernetes_cluster_id}/node_groups/{node_group_id} will update a node group specified in the path parameter. Fill in the parameters you want to change in the request body.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

kubernetes_cluster_id*string

A unique identifier of a Kubernetes cluster. To list all cluster IDs, use the relevant request.

node_group_id*string

A unique identifier of a node group. To list all node group IDs, use the relevant request.

Request Body

application/json

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/kubernetes_clusters/olejYWdj/node_groups/WZdPwbKg" \  -H "Content-Type: application/json" \  -d '{    "name": "test",    "description": "test description"  }'
{  "id": "WZdPwbKg",  "name": "test",  "description": "test description",  "node_count": 0,  "created_at": "2026-05-28T07:00:47.172Z",  "updated_at": "2026-05-28T07:00:47.267Z"}
{  "message": "Not found",  "code": "NOT_FOUND"}
{  "message": "The cluster already has a node group with this name",  "code": "NODE_GROUP_DUPLICATION"}
{  "message": "Validation failed",  "code": "UNPROCESSABLE_ENTITY",  "errors": {    "name": "Is in invalid format. Use Latin letters in lowercase, digits, and a hyphen. A minimum of 3 and a maximum of 63 characters."  }}